<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.salesUnitLeasing.home.title">salesUnitLeasing</span>
            </h5>
            <p-dataTable
                [value]="salesUnitLeasings"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idSalesLeasing"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['sales-unit-leasing-new'] } }]">
                        </button>
                    </div>
                </p-header>
                <p-column header="{{'mpmApp.salesUnitLeasing.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitLeasing.idStatusType'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idStatusType | number}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <input currencyMask [(ngModel)]="rowData.idStatusType"
                            [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitLeasing.dateFrom'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateFrom | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <p-calendar [(ngModel)]="rowData.dateFrom"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitLeasing.dateThru'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateThru | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                    <ng-template let-col let-rowData="rowData" pTemplate="editor">
                        <p-calendar [(ngModel)]="rowData.dateThru"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitLeasing.owner'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.ownerId">
                            <a [routerLink]="['../sales-unit-requirement', rowData.ownerId  ]" >{{rowData.ownerId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitLeasing.leasingCompany'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.leasingCompanyId">
                            <a [routerLink]="['../leasing-company', rowData.leasingCompanyId  ]" >{{rowData.leasingCompanyId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.salesUnitLeasing.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'sales-unit-leasing/'+ rowData.idSalesLeasing + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'sales-unit-leasing/'+ rowData.idSalesLeasing + '/delete'} }]"
                                replaceUrl="true"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
